Skip to content
GET /unified/accounting/payments/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

payment_forstring

What entity was the payment for. Can be invoice or bill.

References: Invoices → id
Possible values:
billinvoice
5 supported3 required3 notes
Microsoft Dynamics 365 Business Central
required

What entity was the payment for.

QuickBooks
required

What entity is the payment for

Zoho Books
required

What entity was the payment for.

ERPNext
supported
Xero
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for payments

5 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
accountstring

The ID of the account for the payment

References: Accounts → id
4 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
companystring

The ID of the company the payment belongs to

References: CompanyInfo → id
2 supported
ERPNext
supported
Zoho Books
supported
contactobject

The contact of the payment

References: Contacts → id
5 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
idstring

The ID of the contact

typestring

The type of the contact. Can be customer or vendor.

Possible values:
customervendor
created_atstring · date-time

This represents the date when the payment was created

4 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
currencystring

The currency of the payment

4 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
exchange_ratenumber

The exchange rate of the payment

3 supported
ERPNext
supported
Xero
supported
Zoho Books
supported
invoiceobject

The invoice associated with the payment

References: Invoices → id
5 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
idstring

The ID of the invoice

typestring

The type of the invoice

Possible values:
invoicebill
payment_forstring

What entity was the payment for. Can be invoice or bill.

References: Invoices → id
Possible values:
invoicebill
5 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the payment.

2 supported
ERPNext
supported
Zoho Books
supported
total_amountnumber

The total amount of the payment

5 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
transaction_datestring · date-time

The transaction date of the payment

5 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
updated_atstring · date-time

This represents the date when the payment was updated

5 supported
ERPNext
supported
Microsoft Dynamics 365 Business Central
supported
QuickBooks
supported
Xero
supported
Zoho Books
supported
curl -X GET 'https://api.truto.one/unified/accounting/payments/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/accounting/payments/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/payments/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'accounting',
  'payments',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "accounting",
        "payments",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())